%define version  0.9.2
%define release  %mkrel 0.svn584.1
%define src_name honoka-plugin-jsfilter

%define honoka_version   0.9.1-2.svn585
%define plugin_version   0.9.0
%define anthy_version    6606

Name:       scim-honoka-plugin-jsfilter
Summary:    A java script filter plugin for honoka
Version:    %{version}
Release:    %{release}
Group:      System/Internationalization
License:    GPL
URL:        http://sourceforge.jp/projects/scim-imengine/
Source0:    %{src_name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:      anthy >= %{anthy_version}
Requires:      scim-honoka-plugin-anthy >= %{plugin_version}
Requires:      libjs1 >= 1.5-0.rc5a.10
BuildRequires: scim-honoka-devel >= %{honoka_version}
BuildRequires: automake1.8
BuildRequires: libltdl-devel
BuildRequires: libjs1-devel >= 1.5-0.rc5a.10

%description
A java script filter plugin for honoka.


%prep
# stable release
#%setup -q -n %{src_name}-%{version}

# svn snapshot
%setup -q -n jsfilter

cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ -f configure ]] || ./bootstrap

%configure2_5x
# (tv) parallel build is broken:
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove devel files
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/honoka/*.{a,la}

%find_lang honoka-plugin-jsfilter

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f honoka-plugin-jsfilter.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/scim-1.0/honoka/*.so


%changelog
* Thu Aug 31 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.2-0.svn584.1mdv2007.0
- first spec for Mandriva Linux
